using System.IO;
using System;
using System.Security.Cryptography;
using de.osci.osci12.dotcommon;

namespace de.osci.helper
{
	/// <summary>
	/// Zusammenfassung fr DigestStream.
	/// </summary>
	/// 

	public class DigestStream:OutputStream
	{
		bool aktiv = false;
		Stream outStream;
		CryptoStream hashOut;
		System.Security.Cryptography.HashAlgorithm msgDigest;

		public DigestStream(System.IO.Stream out_Renamed)
		{
			//
			// TODO: Fgen Sie hier die Konstruktorlogik hinzu
			//
			outStream = out_Renamed;

		//	long p=out_Renamed.Position;
		//	byte[] b=new byte[out_Renamed.Length];
		//	out_Renamed.Read(b,0,(int)out_Renamed.Length);
		//	string s=MoreSupport.NewString(out_Renamed);
		//	out_Renamed.Seek(p,System.IO.SeekOrigin.Begin);
		//	System.Diagnostics.Debug.WriteLine(s);
			//			msgDigest = new SHA1Managed();
//			hashOut = new CryptoStream(outStream, msgDigest, CryptoStreamMode.Write);
		}

		public override void Write(byte[] buffer, int offset, int count) {
			if (aktiv){	
				hashOut.Write(buffer, offset, count);
			}
			else
				outStream.Write(buffer, offset, count);
		}

        public void setMessageDigest(HashAlgorithm md)
        {
            msgDigest = md;
        }

		public void on(bool on) 
		{
            if (on)
            {
                msgDigest.Initialize();
                aktiv = true;
//                msgDigest = new SHA1Managed();
                hashOut = new CryptoStream(outStream, msgDigest, CryptoStreamMode.Write);
            }
            else
            {
                aktiv = false;
//                hashOut.FlushFinalBlock();
            }
		}


		public byte[] getDigest() 
		{
            hashOut.FlushFinalBlock();
            return msgDigest.Hash;
		}
	}
}
