namespace de.osci.helper {
 
using System;

	/// <summary>
	/// <p>Copyright  2011 Freie Hansestadt Bremen</p>
	/// <p>Erstellt von bremen online services Entwicklungs- und
	/// Betriebsgesellschaft GmbH &amp; Co. KG</p>
	/// <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
	/// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen knnen
	/// unter der URL www.osci.de abgerufen oder bei der OSCI-Leitstelle,
	/// Senator fr Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40,
	/// 28015 Bremen schriftlich angefordert werden.</p>
	/// 
	/// <p>Author: N. Bngener</p> 
	/// <p>Version: 1.5</p>
	/// </summary>
	public class NullOutputStream : de.osci.osci12.dotcommon.OutputStream {
	//private static Log log = LogFactory.getLog(NullOutputStream.class);
		private long count;
		public NullOutputStream(){;}
		public override void Write(int b)  {count++;}
		public override void Write(byte[] b, int off, int len) {count += len;}
		public long getLength() {return count;}
	}
}
