namespace de.osci.osci12.encryption {

	using System;
	
	/// <exclude/>
	/// <summary>
	/// <p>Copyright  2011 Freie Hansestadt Bremen</p>
	/// <p>Erstellt von bremen online services Entwicklungs- und
	/// Betriebsgesellschaft GmbH &amp; Co. KG</p>
	/// <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
	/// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen knnen
	/// unter der URL www.osci.de abgerufen oder bei der OSCI-Leitstelle,
	/// Senator fr Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40,
	/// 28015 Bremen schriftlich angefordert werden.</p>
	/// 
	/// <p>Author: PPI Financial Systems GmbH</p>
	/// </summary>
	public class RetrievalMethod 
	{

		/// <summary> Ruft den Wert des Attributs URI ab, oder legt diesen fest.
		/// Dieses Attribut ist REQUIRED.
		/// </summary>
		/// <value> URI.
		/// <p>@roseuid 3AA8FC2D0159; 3AA8FC2D0157</p>
		/// </value>
		virtual public System.String URI {
			get {
				return uRI;
			}
			
			set {
				this.uRI = value;
			}	
		}

		/// <summary>
		/// Wert des Attributs xdsig:URI.
		/// </summary>
		private System.String uRI;

		/// <summary>
		/// Standard-Konstruktor
		/// </summary>
		public RetrievalMethod() {
		}
		
	}
}