namespace org.xml.sax {
	
	using System;
	using System;
	using System.Collections;

	/// <exclude/>
	/// <summary>
	/// Zusammenfassung fr Attributes.
	/// </summary>
	public class Attributes
	{
		private String[][] list;
		private static int PREFIX = 0, LOCAL_NAME = 1, URI = 2, VALUE = 3;

		public Attributes(ArrayList hs)
		{
			list = new String[hs.Count][];
			for (int i = 0; i < hs.Count; i++)
				list[i] = (String[])hs[i];
			Length = hs.Count;
		}

		public int Length=-1;

		public String getLocalName(int i){
			if (list[i][LOCAL_NAME].Equals("xmlns")) return "";
			else return list[i][LOCAL_NAME];
		}

		public String getQName(int i){
			if (list[i][PREFIX].Length > 0) return list[i][PREFIX] + ":" + list[i][LOCAL_NAME];
			else return list[i][LOCAL_NAME];
		}

		public String getQName(){
			throw new InvalidOperationException("Nicht implementiert");
		}

		public String getURI(){
			throw new InvalidOperationException("Nicht implementiert");
		}

		public String getURI(int i){
			return list[i][URI];
		}

		public String getValue(int i){
			return list[i][VALUE];
		}

		public String getValue(String key) {
			for (int i=0; i<list.Length; i++) 
				if (getQName(i).Equals(key)) return list[i][VALUE];
			return null;
		}
	}
}