using System;

namespace dothelpers
{
	/// <summary>
	/// Zusammenfassung fr IllegalArgumentException.
	/// </summary>
	public class IllegalArgumentException:Exception {
		public IllegalArgumentException(Exception ex) :base("",ex) {
			System.Diagnostics.Debug.WriteLine(ex.Message);
		}

		public IllegalArgumentException(String message) :base(message) {
		}
		public IllegalArgumentException() :base() {
		}
		public IllegalArgumentException(String message, Exception ex) :base(message,ex) {
		}
	}
}
