namespace javax.crypto {
	
	using System.Security.Cryptography;
	using System;

	public class SecretKey {
		public SecretKey(){
		}
		byte[] key;
		public void Dispose(){;}
		public bool canReuseTransform;
		public bool canTransformMultipleBlocks;
		public int outputBlockSize;
		public int inputBlockSize;
		System.Security.Cryptography.SymmetricAlgorithm algo;
		String algorithm;
		public SecretKey(byte[] sb, String algorhythm) {
			key = sb;
			if ((algorhythm.Equals("DESede")) | (algorhythm.Equals("http://www.w3.org/2001/04/xmlenc#tripledes-cbc")))
				algo = new System.Security.Cryptography.TripleDESCryptoServiceProvider();
			else if ((algorhythm.Equals("AES")) | (algorhythm.StartsWith("http://www.w3.org/2001/04/xmlenc#aes"))) {
				if ((key.Length * 8) == 128) {
				 algo =new System.Security.Cryptography.RijndaelManaged();algo.KeySize=128;}
				else if ((key.Length * 8) == 192) {
				 algo =new System.Security.Cryptography.RijndaelManaged();algo.KeySize=192;}
				else if ((key.Length * 8) == 256) {
				 algo =new System.Security.Cryptography.RijndaelManaged();algo.KeySize=256;}
			}
			algorithm=algorhythm;
		}
		public System.Security.Cryptography.SymmetricAlgorithm GetAlgo() {
			return algo;
		}		
		public String GetAlgoString() {
			return algorithm;
		}		

		public byte[] Encoded() { 
			return key;
		}
	}
}